Subject: Re: Advice needed on IP-over-InfiniBand driver

From: Roland Dreier <[email-masked]>
Date: Sun, 19 Sep 2004 21:51:49 -0700

David> It sounds like a two-stage thing, the first stage lets you
    David> talk on the subnet and get to the IB subnet manager, and
    David> the second stage lets you acually speak IP.  My
    David> understanding, from his description, is that once the
    David> second stage part is complete you don't need to first stage
    David> address information at all.

Pretty much... ARP gives you a unique identifier for the port with the
IP address you're looking for.  Then you need to take that unique
identifier and ask the subnet manager what path to use to get from
your local port to that destination port.  (Talking to the subnet
manager uses an InfiniBand native, non-IP mechanism -- one of the
first things the subnet manager does is go over the whole fabric and
tell each port what path to use to send it queries)

Thanks,
  Roland